﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverTorpedo
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }
        Random rand = new Random(DateTime.Now.Millisecond);
        const int hajodb = 10;
        int[,] Tenger = new int[10, 10];
        Button[,] tgombok = new Button[10, 10];
        Button[,] sgombok = new Button[10, 10];
        private void Feltolt()
        {
            for (int i = 0; i < 10; i++)
            {
                for (int j = 0; j < 10; j++)
                {
                    tgombok[i, j] = new Button();
                    tgombok[i, j].Background = new SolidColorBrush(Colors.Cyan);
                    Tenger[i, j] = 0;
                    sgombok[i, j] = new Button();
                    sgombok[i, j].Tag = (10 * i + j).ToString();
                    sgombok[i, j].Click += Hajo_Hozza;
                    sajat.Children.Add(sgombok[i, j]);
                    Grid.SetRow(sgombok[i, j], i);
                    Grid.SetColumn(sgombok[i, j], j);
                }
            }
            int h = 0, x, y;
            while (h < hajodb)
            {
                x = rand.Next() % 10;
                y = rand.Next() % 10;
                if (Tenger[x, y] == 0)
                {
                    Tenger[x, y] = 1;
                    tgombok[x, y].Background = new SolidColorBrush(Colors.Brown); ;
                    h++;
                }
            }
            HDB.Text = hajodb.ToString();
        }



        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            Feltolt();
        }

        private void Hajo_Hozza(object sender, RoutedEventArgs e)
        {
            Button b = (Button)sender;
            int x, y;
            x = Int32.Parse(b.Tag.ToString()) / 10;
            y = Int32.Parse(b.Tag.ToString()) % 10;
            Tenger[x, y] = 1;
            b.Clip = new EllipseGeometry() { Center = new Point(12, 12), RadiusX = 10, RadiusY = 10 };
        }
        
        private void Tuz_Click(object sender, RoutedEventArgs e)
        {
            int x, y,db;
            x=(int)Math.Round(Convert.ToDecimal((int)oldalso.Value))%10;
            y = (int)Math.Round(Convert.ToDecimal((int)also.Value)) % 10;
            db = Int32.Parse(HDB.Text);
            if (Tenger[x,y]==1)
            {
                db--;
                tgombok[x, y].Clip = new EllipseGeometry() { Center = new Point(12, 12), RadiusX = 10, RadiusY = 10 };
                HDB.Text = db.ToString();
            }
            else
            {
                tgombok[x, y].Clip = new RectangleGeometry() { Rect = new Rect(5, 5, 15, 15) };
            }
            if (!Palya.Children.Contains(tgombok[x,y]))
            {
                Palya.Children.Add(tgombok[x, y]);
                Grid.SetRow(tgombok[x, y], x);
                Grid.SetColumn(tgombok[x, y], y);
            }
            
        }
    }
}
